Subject: Re: [Roll] draft-ietf-roll-trickle-mcast-02 (proposed text)

From: "Reddy, Joseph" <[email-masked]>
Date: Tue, 21 Aug 2012 00:09:37 +0000

Hi Jonathan, Richard,

I reviewed the proposed changes in your draft and agree with them. I would like to see them in a revised WG draft with these changes so we can make progress on this. We have also implemented this protocol (in proactive propagation mode) and successfully tested against a few other implementations. 

A few comments on the proposed text:

Section 2:
The term "MPL forwarder" is not very clear as MPL is restricted to transmit packets on the same interface that it receives, so it is not a typical router. Suggest using a different term or update terminology to describe that it is limited to forwarding on a single interface.
 
Section 4.1
The previous draft had an 'M' bit to indicate which set of trickle parameters to use and that is missing now (actually, it is reused for a different purpose). I believe that is a useful flag to include as it allows control of the latency/reliability tradeoff in a LLN network. I suggest adding that back in. 

Section 4.1
Include an explicit (2-bit?) version number in the MPL option. 
The remaining rsv bits should have the description modified so they can "set to zero for outgoing messages and ignored upon reception for incoming messages"

-Regards, Joseph

-----Original Message-----

Date: Fri, 3 Aug 2012 17:48:11 +0000
From: "Jonathan Hui (johui)" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Subject: [Roll] draft-ietf-roll-trickle-mcast-02 (proposed text)
Message-ID: <[email-masked]>
Content-Type: text/plain; charset="us-ascii"

We've been working on an update to draft-ietf-roll-trickle-mcast.  I've attached a draft of the proposed text.  Note that we will *not* be presenting this draft at the ROLL WG meeting.

In a prior mail, I noted some deficiencies with the initial draft that was posted.  We will discuss some of these deficiencies at the ROLL WG meeting today.  The purpose of this mail is to give you some insight into solving those deficiencies as well as incorporating suggestions that were brought up on the list.  If you get a chance to glance through before the WG meeting, great.  In either case, let's continue the discussion on the list.

Always looking for your feedback, especially from implementors.

Thanks!

--
Jonathan Hui

-------------- next part --------------
An embedded and charset-unspecified text was scrubbed...
Name: draft-ietf-roll-trickle-mcast-new.txt
URL: <http://www.ietf.org/mail-archive/web/roll/attachments/20120803/e7a714f7/attachment.txt>

------------------------------